DtWsmSetCurrentWorkspace(library call)

NAME
DtWsmSetCurrentWorkspace — set the current workspace

SYNOPSIS

#include &<Dt/Wsm.h>
int DtWsmSetCurrentWorkspace(
Widget widget,
Atom aWorkspace);

DESCRIPTION

The DtWsmSetCurrentWorkspace function works with the XCDE workspace manager, dtwm(1), and sets the current workspace. Applications can use this function to switch from the current workspace to another workspace.

The widget argument is a realized widget on the screen of interest.

The aWorkspace argument is the name (in X atom form) of the workspace to be made current.

RETURN VALUE

Upon successful completion, the DtWsmSetCurrentWorkspace function returns Success; otherwise, it returns a value not equal to Success.

APPLICATION USAGE

If the DtWsmSetCurrentWorkspace function is not successful, the most likely reason for failure is that the XCDE workspace manager, dtwm(1), is not running. The DtWsmSetCurrentWorkspace function requires a widget. A gadget is not acceptable for the widget argument.

DtWsmSetCurrentWorkspace sends a message to the XCDE workspace manager, dtwm(1), to switch workspaces. If the workspace name is not valid, no action is taken and the workspace manager reports no error.

SEE ALSO

Dt/Wsm.h - DtWsm(5), dtwm(1), DtWsmGetCurrentWorkspace(3).